package com.kcim.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kcim.common.util.PageUtils;
import com.kcim.dao.model.Hospital;
import com.kcim.dao.model.dto.HospitalDto;
import com.kcim.dao.model.dto.HospitalSaveDto;
import com.kcim.vo.CommonVO;
import com.kcim.vo.HospitalAllVO;

import java.util.List;

/**
 * 医院表
 *
 * @author KCYG
 * @email KCYG@xinxicom
 * @date 2021-07-26 08:52:56
 */
public interface HospitalService extends IService<Hospital> {

    /**
     * 通过医院标识获取院区下拉列表
     * @param sign
     * @return
     */
    List<CommonVO> getHospArea(String sign);

    /**
     * 通过医院sign获取医院信息
     * @param hospSign
     * @return
     */
    Hospital getBySign(String hospSign);

    /**
     * 分页查询所有的医院信息
     * @param current
     * @param pageSize
     * @return
     */
    PageUtils queryList(Integer current, Integer pageSize, Long hospId, String name);

    /**
     * 添加医院信息
     * @param hospitalSaveDto
     */
    void saveHosptail(HospitalSaveDto hospitalSaveDto);

    /**
     * 修改医院信息
     * @param hospitalDto
     */
    void updateByHosptail(HospitalDto hospitalDto);

    /**
     * 获取所有的医院信息
     * @return
     */
    List<HospitalAllVO> getAll();

    Hospital getByName(String str);

    /**
     * 批量珊瑚医院的数据
     * @param idList 医院的Id集合
     */
    void deleteByIds(List<Integer> idList);

//    /**
//     * 校验是否是本院下人员,并且返回对应的院区id
//     * @param hospId
//     * @param str
//     * @return
//     */
//    Integer getByNameAndCheck(Long hospId, String str);
}

